<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Arreglos Javascript</title>
    <link rel="stylesheet" href="/css/arreglos.css">
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200;0,6..12,300;0,6..12,400;0,6..12,800;0,6..12,1000;1,6..12,200;1,6..12,300;1,6..12,400&family=Open+Sans:wght@300;400;600;700;800&display=swap');
    </style>
</head>
<body>
    <section class="container">
        <section class="formulario">
            <div class="form">
                <h1 class="titulo">
                    Generador de Números Aleatorios
                </h1>
                <div class="container-1">
                    <label class="sub-text" for="generarNumeros">
                        Cantidad de números a generar
                    </label>
                    <input type="number" name="cantidadGenerar" id="cantidadGenerar">
                </div>
                <div class="botones">
                    <input type="button" value="Generar Números">
                    <input type="button" value="Limpiar" id="btnLimpiar">
                </div>
            </div>
        </section>
        <section class="resultados">
            <div class="result">
                <h2>Resultados</h2>
            <select name="arrayNumeros" id="arrayNumeros">
                <option value="Vacio">Vacio</option>
            </select>
            <div class="container-5">
                <div class="container-2">
                    <span class="result-set der">Número Mayor:</span>
                    <span id="numMayor"></span>
                    <span class="result-set der izq">Posición</span>
                    <span id="numMayorPo"></span>
                </div>
                <div class="container-2">
                    <span class="result-set der">Número Menor:</span>
                    <span id="numMenor" ></span>
                    <span class="result-set der izq">Posición</span>
                    <span id="numMenorPo"></span>
                </div>
                <div class="container-3">
                    <span class="result-set der">Numeros Pares:</span>
                    <span id="pares"></span>
                    <span class="result-set der izq">Promedio:</span>
                    <span id="promedio"></span>
                </div>
                <div class="container-4">
                    <span class="result-set der">Porcentaje de Pares:</span>
                    <span id="prcntPar"></span>
                    <span class="result-set der izq">Porcentaje de Impares;</span>
                    <span id="prcntImpar"></span>
                </div>
                <div class="container-6">
                    <span id="resultSim"></span>
                </div>
            </div>
            </div>
        </section>  
    </section>
    <script src="/js/arrays.js"></script>
</body>
</html>